Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceMetrics & DebuggingGET /v0/pipelines/{pipeline_name}/time_series_stream

Stream Time Series

GET/v0/pipelines/{pipeline_name}/time_series_streamMetrics & Debugging

Try it

GET/v0/pipelines/{pipeline_name}/time_series_stream
Authentication
Parameters

Stream time series for statistics of a running or paused pipeline.

Returns a snapshot of all existing time series data followed by a continuous stream of new time series data points as they become available. The response is in newline-delimited JSON format (NDJSON) where each line is a JSON object representing a single time series data point.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Pipeline time series stream established successfullyapplication/x-ndjson
  • string
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/time_series_stream' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
"string"